Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicDesktopIconUI.MouseInputHandler

    java.lang.Object
      |
      +--javax.swing.event.MouseInputAdapter
            |
            +--javax.swing.plaf.basic.BasicDesktopIconUI.MouseInputHandler

public class BasicDesktopIconUI.MouseInputHandler
extends MouseInputAdapter

Listens for mouse movements and acts on them. This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of .

Constructor Summary
`BasicDesktopIconUI.MouseInputHandler()`

Method Summary
`void` | `mouseDragged(java.awt.event.MouseEvent e)`
`void` | `mouseMoved(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`void` | `moveAndRepaint(JComponent f, int newX, int newY, int newWidth, int newHeight)`

Methods inherited from class javax.swing.event.MouseInputAdapter
`mouseClicked, mouseEntered, mouseExited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicDesktopIconUI.MouseInputHandler

    public BasicDesktopIconUI.MouseInputHandler()

Method Detail

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Overrides:
    mouseReleased in class MouseInputAdapter

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Overrides:
    mousePressed in class MouseInputAdapter

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Overrides:
    mouseMoved in class MouseInputAdapter

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Overrides:
    mouseDragged in class MouseInputAdapter

### moveAndRepaint

    public void moveAndRepaint(JComponent f,
                               int newX,
                               int newY,
                               int newWidth,
                               int newHeight)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.